Subject: Re: [net-next PATCH v10 00/11] Introduce RVU representors

From: Jakub Kicinski <[email-masked]>
Date: Wed, 7 Aug 2024 19:46:47 -0700

On Mon, 5 Aug 2024 18:48:04 +0530 Geetha sowjanya wrote:
> This series adds representor support for each rvu devices.
> When switchdev mode is enabled, representor netdev is registered
> for each rvu device. In implementation of representor model, 
> one NIX HW LF with multiple SQ and RQ is reserved, where each
> RQ and SQ of the LF are mapped to a representor. A loopback channel
> is reserved to support packet path between representors and VFs.
> CN10K silicon supports 2 types of MACs, RPM and SDP. This
> patch set adds representor support for both RPM and SDP MAC
> interfaces.
> 
> - Patch 1: Refactors and exports the shared service functions.
> - Patch 2: Implements basic representor driver.
> - Patch 3: Add devlink support to create representor netdevs that
>   can be used to manage VFs.
> - Patch 4: Implements basec netdev_ndo_ops.
> - Patch 5: Installs tcam rules to route packets between representor and
> 	   VFs.
> - Patch 6: Enables fetching VF stats via representor interface
> - Patch 7: Adds support to sync link state between representors and VFs .
> - Patch 8: Enables configuring VF MTU via representor netdevs.
> - Patch 9: Add representors for sdp MAC.
> - Patch 10: Add devlink port support.

I can't bring myself to apply this.
Jiri do you have an opinion?
The device is a NPU/SmartNIC/DPU/IPU, it should be very flexible.
Yet, instead of just implementing the representors like everyone 
else you do your own thing and create separate bus devices.
Not sure if this breaks anything today, but it certainly subverts 
the model where representors represent bus devices. 
You can't represent all bus devices, because of the obvious cycle.

Also your documentation is full of typos.